Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ET_DefaultViewControl

    java.lang.Object
      com.sun.javatest.exec.ET_DefaultViewControl

All Implemented Interfaces:
  ET_Control, ET_ViewControl

    public class ET_DefaultViewControl

extends java.lang.Object
implements ET_ViewControl

Constructor Summary
`ET_DefaultViewControl(javax.swing.JComponent parent, TestSuite ts, ExecModel execModel, UIFactory uif, ET_FilterControl filterControl)`

Method Summary
`protected java.util.List<javax.swing.Action>` | `createActions()`
`void` | `dispose()`
`Session` | `getConfig()`
`javax.swing.JMenu` | `getMenu()` Returts menu to be added to the menu mar
`java.util.List<javax.swing.Action>` | `getToolBarActionList()` Returns list of actions to be added to the tool bar
`void` | `restore(java.util.Map m)` Restores saved state from the map
`void` | `save(java.util.Map m)` Saves current state to the map
`void` | `setConfig(Session cfg)`
`void` | `updateGUI()` Invoked when some change has happened

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ET_DefaultViewControl

    public ET_DefaultViewControl(javax.swing.JComponent parent,
                                 TestSuite ts,
                                 ExecModel execModel,
                                 UIFactory uif,
                                 ET_FilterControl filterControl)

Method Detail

### setConfig

    public void setConfig(Session cfg)

  Specified by:
    `setConfig` in interface `ET_ViewControl`

### getConfig

    public Session getConfig()

  Specified by:
    `getConfig` in interface `ET_ViewControl`

### updateGUI

    public void updateGUI()

  Description copied from interface: `ET_Control`
  Invoked when some change has happened

  Specified by:
    `updateGUI` in interface `ET_Control`

### save

    public void save(java.util.Map m)

  Description copied from interface: `ET_Control`
  Saves current state to the map

  Specified by:
    `save` in interface `ET_Control`

### restore

    public void restore(java.util.Map m)

  Description copied from interface: `ET_Control`
  Restores saved state from the map

  Specified by:
    `restore` in interface `ET_Control`

### getMenu

    public javax.swing.JMenu getMenu()

  Description copied from interface: `ET_Control`
  Returts menu to be added to the menu mar

  Specified by:
    `getMenu` in interface `ET_Control`

### getToolBarActionList

    public java.util.List<javax.swing.Action> getToolBarActionList()

  Description copied from interface: `ET_Control`
  Returns list of actions to be added to the tool bar

  Specified by:
    `getToolBarActionList` in interface `ET_Control`

### createActions

    protected java.util.List<javax.swing.Action> createActions()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ET_Control`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.